SELECT *
  FROM INVENTORY_TRANSACTION_HIST
 Where SOURCE_REF_TYPE = 'Shop Order'
   and (TRUNC(DATE_APPLIED) >= to_date('&VALID_FROM', 'MM/DD/YYYY') AND
       TRUNC(DATE_APPLIED) <= to_date('&VALID_TO', 'MM/DD/YYYY'))

-- Company is removed due to limitations in IFS cloud